from distutils.core import setup
import py2exe
import os
import plateforme
from gui import strings
icn = os.path.join('images', 'crystal.ico')

setup(
	console = 
	[
		{
			'script': 'plateforme.py', 
			'icon_resources': [(0, icn)],
			'data_files': [('images', ['crystal.ico', 'praat.png'])],
			'version': plateforme.version,
		}
	]
)

# generate changelog
log = open('CHANGES', 'w')
log.write(strings.changelog)
log.close()

# generate version file
vers = open('version.txt', 'w')
vers.write(plateforme.version + '\n')
vers.close()



